Retrieve a chat completion
curl --request GET \
--url https://api.cloudglue.dev/v1/chat/completions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/chat/completions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/chat/completions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created_at": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>"
},
"citations": [
{
"collection_id": "<string>",
"file_id": "<string>",
"segment_id": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"text": "<string>",
"context": "<string>",
"relevant_sources": [
{
"text": "<string>"
}
],
"visual_scene_description": [
{
"text": "<string>",
"start_time": 123,
"end_time": 123
}
],
"scene_text": [
{
"text": "<string>",
"start_time": 123,
"end_time": 123
}
],
"speech": [
{
"speaker": "<string>",
"text": "<string>",
"start_time": 123,
"end_time": 123,
"words": [
{
"word": "<string>",
"start_time": 123,
"end_time": 123
}
]
}
],
"audio_description": [
{
"text": "<string>",
"start_time": 123,
"end_time": 123
}
]
}
]
}
],
"payload": {
"messages": [
{
"content": "<string>",
"name": "<string>"
}
],
"temperature": 123,
"filter": {
"metadata": [
{
"path": "<string>",
"valueText": "<string>",
"valueTextArray": [
"<string>"
]
}
],
"video_info": [
{
"valueText": "<string>",
"valueTextArray": [
"<string>"
]
}
],
"file": [
{
"valueText": "<string>",
"valueTextArray": [
"<string>"
]
}
]
},
"collections": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"error": "<string>"
}Chat
Get Chat Completion
Retrieve a chat completion
GET
/
chat
/
completions
/
{id}
Retrieve a chat completion
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the chat completion
Response
Successful response
Unique identifier for this chat completion
Object type, always "chat.completion"
Unix timestamp in milliseconds when the chat completion was created
The model used for the chat completion
The generated responses
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Usage statistics for the completion request
Show child attributes
Show child attributes
⌘I